# README #
This material is shared as supplementary material for the NeurIPS 2022 paper - **Additive MIL: Intrinsically Interpretable Multiple Instance Learning for Pathology**.

## Overview
In this folder you will find code for the four models **AttentionMIL**, **AdditiveMIL**, **TransMIL**, **AddditiveTransMIL** used for experiments in the paper. TransMIL's implmentation is based on the code from their [github](https://github.com/szc19990412/TransMIL). The models are implemented in PyTorch and the corresponding torch modules for the above four models can be found under the *modules* folder.

## Model Loading
The zip file containing the model weights and training configs can be downloaded from the [drive link](https://drive.google.com/file/d/1ZAryyj0sSxl0TLA7nBquaAPF0AyJNp96/view?usp=sharing). Before loading the models, download and extract the zip file under the current folder. To load model files for a dataset, run its corresopnding python file. For example, running `python camelyon_models.py` should load the different models trained on the camelyon dataset. 

## Model Training 
We aren't releasing the model training code due to its proprietary nature but have shared the different hyper-params used for training the models in the above [zip file](https://drive.google.com/file/d/1ZAryyj0sSxl0TLA7nBquaAPF0AyJNp96/view?usp=sharing) with model weights.
